Articles of install from source

Решить компиляцию файла ошибки PHP: ошибка: libXpm. (A | so) не найден

У меня возникла ошибка при компиляции PHP, я перечисляю детали ниже. Error configure error libxpm.(a so) not found Я проверил с dpkg -L libxpm-dev. он показывает, что необходимый файл находится в папке /usr/lib/x86_64-linux-gnu/ (libXpm.a). Я попытался использовать –with-xpm-dir=/usr/lib/x86_64-linux-gnu , но ошибка все еще существует.

Как исправить «/ bin / sh: 2: patch: not found» и «make: *** Ошибка 127« ошибки?

curl-loader – генератор трафика. Вы можете генерировать HTTP, HTTPS, FTP и т. Д. С ним. Добавьте к этому, вы можете имитировать несколько клиентов (несколько IP-адресов источника). Вот объяснение того, как установить curl-loader на Ubuntu 12.04 64-битный блок и генерировать HTTP, HTTPS-трафик. $ uname –r 3.2.0-39-generic $ tail -1 /etc/lsb-release DISTRIB_DESCRIPTION="Ubuntu 12.04.2 LTS" установить роторный погрузчик […]

Python ImportError после переустановки nautilus

У меня проблема с python на моем Ubuntu 12.10. Во-первых, проблема возникла, когда я пытался переустановить nautilus из-за некоторых проблем с ним. Я использовал apt-get –reinstall install nautilus* . Установка прошла успешно, но nautilus не удалось запустить из-за ошибки python: grigory@grigory:/usr/local$ nautilus Initializing nautilus-gdu extension Initializing nautilus-image-converter extension Initializing nautilus-dropbox 0.7.1 Initializing nautilus-open-terminal extension Initializing […]

Идентифицировать X libs во время установки из источника без sudo

Я пытаюсь установить программу ( HTK ) из источника, но после ./configure (которая не дает ошибок), make all жалобы на то, что /usr/bin/ld: cannot find -lX11 . Это хорошо известная проблема, которая якобы может быть решена с помощью sudo ln -s /usr/lib/i386-linux-gnu/libX11.so.6.3.0 /usr/lib32/libX11.so . Однако мы бы предпочли не использовать sudo . Есть ли способ […]

Проблемы с разрешениями на установку python 2.5.4 из исходного кода

Я пытался установить Python 2.5.4 на мой Ubuntu 12.04 LTS Я загрузил пакет со своего сайта Python 2.5.4 Release, и я сделал все, что они мне сказали, но при попытке выполнить команду: make install Появляется следующее сообщение об ошибке: /usr/bin/install -c python /usr/local/bin/python2.5 /usr/bin/install: cannot create regular file `/usr/local/bin/python2.5': Permiss ion denied make: *** [altbininstall] […]

Ubuntu 12 breaks gcc 4.7 build from source

Я широко использую C ++ 11, поэтому сразу после установки нового выпуска Xubuntu 12.04 LTS я пошел на сборку gcc из источника. Получив необходимые зависимости, используя sudo apt-get build-dep gcc-4.7-base , я проверил тег 4.7.0 gcc в Subversion и начал его строить. На моем 64-битном ноутбуке сборка (с параметром –disable-multilib –enable-libstdcxx-time=rt –enable-languages=c,c++ ) не смогла […]

Как я могу создать и установить проект Qt / .pro?

Я хотел бы установить браузер базы данных sqlite из sourceforge . Я загрузил файл и разархивировал его tar -xvf sqlitebrowser_200_b1_src.tar.gz Теперь это каталог в моих загрузках с этой структурой: | — trunk | — sqlitebrowser | — sqlite_source | — images | .. lots of files Отсюда как установить приложение?

Ошибка компиляции пакета: "configure: error: no gstreamer-1.0> = 1.0.0"

Я пытаюсь скомпилировать пакет, для которого требуется gstreamer-1.0> = 1.0.3. Я думаю, что у меня есть старая версия, установленная в моей системе. Поэтому я загрузил и скомпилировал gstreamer-1.0.4, и он был установлен в /usr/local/lib/gstreamer-1.0. После этого я снова попытался скомпилировать пакет, но он по-прежнему дает ту же ошибку, что у меня нет «gstreamer-1.0> = 1.0.3». […]

Как скомпилировать ndiswrapper?

Я работаю в течение 2 дней, пытаясь каждый пост форума, который я могу найти, когда дело доходит до ndiswrapper . Я могу установить его, но module ndiswrapper not found ошибки module ndiswrapper not found . В моих путешествиях это ошибка в установщике, и я должен построить его из источника. Я не знаю, как это работает. […]

apt-get install, каталог путей и запущенные программы зависимостей

Я очень новичок в Ubuntu и, пожалуйста, несите меня, если я представляю версию объяснения очень непростой. Моя ОС: сервер Ubuntu 11.10, 64-битная версия Мне нужно использовать три инструмента: samtools , tophat и tophat . Однако tophat зависит от салтулов и лука. Фактор зависимости – выяснить, где именно находится путь к двум вышеуказанным инструментам (samtools и […]